# Contributing to Sigit

Welcome to Sigit! We are thrilled that you are interested in contributing to this project. Before you get started, please take a moment to review the following guidelines.

## How to Contribute

### Reporting Bugs

If you encounter a bug while using Sigit, please [open an issue](https://git.sigit.io/g/web/issues/new) on this repository. Provide as much detail as possible, including steps to reproduce the bug.

### Suggesting Enhancements

If you have an idea for how to improve Sigit, we would love to hear from you! [Open an issue](https://git.sigit.io/g/web/issues/new) to suggest an enhancement.

### Pull Requests

We welcome pull requests from contributors! To contribute code changes:

1. Fork the repository and create your branch from `main`.
2. Make your changes and ensure they pass any existing tests.
3. Write meaningful commit messages.
4. Submit a pull request, describing your changes in detail and referencing any related issues.

## Development Setup

To set up the project for development:

1. Clone the repository.
2. Install dependencies with `npm install`.
3. Start dev server with `npm run dev`.

## Code Review

All contributions, including pull requests, undergo code review. Code review ensures that changes meet project standards and maintainability.

## Contact

If you have questions or need further assistance, you can reach out to [maintainer's email].
